summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucas Werkmeister2021-01-19 21:22:03 +0100
committerLucas Werkmeister2021-04-20 19:50:04 +0200
commit669e7fd1cfbfa48ee623d586a4b7c2359ca70771 (patch)
treeecdff3641ccac6ea0edabf1c9ccba35fcfa4276f
parent020921b14b62e333806194f3c23244583ff22b02 (diff)
downloadaur-669e7fd1cfbfa48ee623d586a4b7c2359ca70771.tar.gz
Add test for Espresso (Java on Truffle)
I don’t think we can test interop with other languages easily (Espresso source is JVM bytecode, not Java source code), but we can at least test it as the main language, similar to native-image.
-rwxr-xr-xtest.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test.sh b/test.sh
index a748726278b1..6ebaae3ef1ac 100755
--- a/test.sh
+++ b/test.sh
@@ -49,6 +49,15 @@ if [[ $helloWorld != 'Hello, world!' ]]; then
exit 1
fi
+printf '%s\n' 'Testing Espresso...'
+
+# reusing the same Test.java / Test.class
+helloWorld=$(java -truffle Test) || exit
+if [[ $helloWorld != 'Hello, world!' ]]; then
+ printf 'expected "Hello, world!", got %q\n' "$helloWorld"
+ exit 1
+fi
+
printf '%s\n' 'Testing GraalWASM...'
PATH=$PATH:/usr/lib/emscripten